> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Refund ( STABLE )

> This API retrieves the details of a specific batch refund using its unique batch refund UUID. The response provides comprehensive information about the refund, including the total amount and the associated transactions.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/batch-refunds/{batch_refund_uuid}
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/batch-refunds/{batch_refund_uuid}:
    get:
      tags:
        - Refunds
        - Stable
      summary: Get Batch Refund ( STABLE )
      description: >-
        This API retrieves the details of a specific batch refund using its
        unique batch refund UUID. The response provides comprehensive
        information about the refund, including the total amount and the
        associated transactions.
      operationId: 63ed85c2621b265ccf4b9a5c4b4ec278
      parameters:
        - name: batch_refund_uuid
          in: path
          description: UUID of the batch refund
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: ''
                  data:
                    $ref: '#/components/schemas/BatchRefundResponse'
                  errors:
                    type: string
                    example: null
                  error_code:
                    type: string
                    example: null
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403ForbiddenResponse'
        '404':
          description: Batch refund not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchRefundNotFound'
      security:
        - ApiToken: []
components:
  schemas:
    BatchRefundResponse:
      properties:
        total:
          type: number
          example: '100'
        refund_uuid:
          type: array
          items:
            properties:
              refund_uuid:
                type: string
                example: 123e4567-e89b-12d3-a456-426614174000
              transaction_uuid:
                type: string
                example: 123e4567-e89b-12d3-a456-426614174000
              amount:
                type: number
                example: '100'
              client_reference_id:
                type: string
                example: '123e4567'
              capture_delay_days:
                type: integer
                example: '1'
              payout_delay_days:
                type: integer
                example: '1'
            type: object
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error403ForbiddenResponse:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Access denied. Please use a secure (HTTPS) connection.
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    BatchRefundNotFound:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Batch refund not found
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````